Jonathan Handojo Posted August 13, 2021 Posted August 13, 2021 Hi all, I seem to stumble into a little problem here... This image below is returned from a "Break On Error", and the error message returned is "Error: bad argument value: AcDbCurve 667". My function JH:selset-to-list is the equivalent to LM:ss->ent in Selection Set to List. I inspected the variable 'cr' and it returns an entity name. (And for some reason I can't open the watch window). I really now don't know what else is the issue. Does anyone ever encounter this problem? Sometimes the program works and sometimes it doesn't. Thanks, Jonathan Handojo Quote
BIGAL Posted August 13, 2021 Posted August 13, 2021 Just a stab do you need the and the objects do have a start and end point property so get ss then do say repeat and make the list of points. Quote
ronjonp Posted August 13, 2021 Posted August 13, 2021 Post the drawing where this error is happening. Quote
Jonathan Handojo Posted August 13, 2021 Author Posted August 13, 2021 (edited) FlowSelect.lsp Test.dwg Edited August 13, 2021 by Jonathan Handojo Quote
ronjonp Posted August 13, 2021 Posted August 13, 2021 It's crashing on a PolyFaceMesh object: ((-1 . <Entity name: 27fb44990b0>) (0 . "POLYLINE") (330 . <Entity name: 27fb8a289f0>) (5 . "B5EDB") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "H-SEW-NE") (100 . "AcDbPolyFaceMesh") (66 . 1) (10 0.0 0.0 0.0) (70 . 64) (40 . 0.0) (41 . 0.0) (210 0.0 0.0 1.0) (71 . 2) (72 . 0) (73 . 0) (74 . 0) (75 . 0) ) 1 Quote
mhupp Posted August 13, 2021 Posted August 13, 2021 4 hours ago, ronjonp said: It's crashing on a PolyFaceMesh object: ((-1 . <Entity name: 27fb44990b0>) (0 . "POLYLINE") (330 . <Entity name: 27fb8a289f0>) (5 . "B5EDB") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "H-SEW-NE") (100 . "AcDbPolyFaceMesh") (66 . 1) (10 0.0 0.0 0.0) (70 . 64) (40 . 0.0) (41 . 0.0) (210 0.0 0.0 1.0) (71 . 2) (72 . 0) (73 . 0) (74 . 0) (75 . 0) ) Is that a lisp that is outputting the dxf group? I have Dumpit but its displays vla object data not dxf groups ;;----------------------------------------------------------------------------;; ;; Dump all methods and properties for selected objects (defun C:DumpIt (/ ent) (while (setq ent (entsel)) (vlax-Dump-Object (vlax-Ename->Vla-Object (car ent))) ) (princ) ) Quote
ronjonp Posted August 13, 2021 Posted August 13, 2021 (edited) 6 minutes ago, mhupp said: Is that a lisp that is outputting the dxf group? I have Dumpit but its displays vla object data not dxf groups ;;----------------------------------------------------------------------------;; ;; Dump all methods and properties for selected objects (defun C:DumpIt (/ ent) (while (setq ent (entsel)) (vlax-Dump-Object (vlax-Ename->Vla-Object (car ent))) ) (princ) ) That info came from the Vlide 'break on error' then print results. I use this to see DXF items: (defun c:dxflist (/ e) (cond ((setq e (car (entsel "\nPick something to see DXF data: "))) (mapcar 'print (entget e '("*"))) (textscr) ) ) (princ) ) There is also DUMPALLPROPERTIES to be used in conjunction with get\setpropertyvalue Edited August 13, 2021 by ronjonp 1 Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.